Method: organizations.list

Returns a list of organizations that the user has access to.

HTTP request

GET https://marketingplatformadmin.googleapis.com/v1alpha/organizations

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of organizations to return in one call. The service may return fewer than this value.

If unspecified, at most 50 organizations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous organizations.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to organizations.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for organizations.list RPC.

If successful, the response body contains data with the following structure:

JSON representation
{
  "organizations": [
    {
      object (Organization)
    }
  ],
  "nextPageToken": string
}
Fields
organizations[]

object (Organization)

The Organization resource that the user has access to, which includes the org id and display name.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/marketingplatformadmin.analytics.read
  • https://www.googleapis.com/auth/marketingplatformadmin.analytics.update